2019-12-07 09:16 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001683FSSCPgameplaypublic2008-05-06 00:14
ReporterWanderer 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001683: New wave entering the mission causes assert
DescriptionIf the old wing is still in the mission then the moment the new wing arrives game asserts. While testing compiling older builds this problem seems to be associated with SVN version 4584 and later. Earlier builds did not have this problem and that particular version changes the way game handles wings.
Additional InformationAssert: wingp->ship_index[j] != -1
File: aigoals.cpp
Line: 836

How to test: Start 'Their Finest Hour' and destroy the small shivan transport to trigger 'Scorpio' wing and then take your time killing them.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009290

taylor (administrator)

In hindsight the problem is obvious, but the fix for it would be a little wonky. If kara really wants this one then I'll let him have it, but if a fix hasn't already been added by Monday I'll probably go ahead and do it myself before taking the rest of the month off.

~0009291

karajorma (administrator)

You can have it if you want. The problem is that the special_ship doesn't appear to be being set properly any more.

This is probably the cause of the weird AI problems that have been reported as ships get their AI cues by simply following whatever the wing leader is doing.

~0009292

taylor (administrator)

special_ship and the wing leader are two separate things (there is a quick discussion in the internal forum about that, which is why I changed from my original fix to the one that actually got committed). special_ship wasn't set properly before, since it didn't actually relate to what you chose in FRED as the special ship except by chance. That's what 4584 fixed, and it passed every test that I threw at it as far as making sure that it worked.

The bug in this case appears to just be with the management of the wing ships. After the wing is populated it will compact down so that nothing is -1 in order, but when new ships are added back it then gets screwed up because it doesn't account for the packing that was done previously. That's why it works on the initial wing but can mess up when it tries to refill with the new ships in the wing. This can also lead to wing leader issues, with new ships getting added in place of existing ships by mistake, which is likely what is causing those other bugs.

~0009302

taylor (administrator)

Should be fixed now. I tested it in the mission in question as well as several others, both that would have the same bug and also the bugs that r.4584 was made to fix).
+Notes

-Issue History
Date Modified Username Field Change
2008-05-03 18:21 Wanderer New Issue
2008-05-03 18:28 karajorma Status new => assigned
2008-05-03 18:28 karajorma Assigned To => karajorma
2008-05-03 19:54 taylor Note Added: 0009290
2008-05-03 20:46 karajorma Note Added: 0009291
2008-05-03 21:23 taylor Note Added: 0009292
2008-05-03 21:23 taylor Assigned To karajorma => taylor
2008-05-06 00:14 taylor Status assigned => resolved
2008-05-06 00:14 taylor Fixed in Version => 3.6.10
2008-05-06 00:14 taylor Resolution open => fixed
2008-05-06 00:14 taylor Note Added: 0009302
+Issue History